restic backup(1)

NAME

restic-restore - Extract the data from a snapshot

SYNOPSIS

restic restore [flags] snapshotID

DESCRIPTION

The "restore" command extracts the data from a snapshot from the repository to a directory.

The special snapshot "latest" can be used to restore the latest snapshot in the repository.

OPTIONS

-e, --exclude=[]
    exclude a pattern (can be specified multiple times)

-h, --help[=false]
    help for restore

-H, --host=""
    only consider snapshots for this host when the snapshot ID is "latest"

--iexclude=[]
    same as --exclude but ignores the casing of filenames

--iinclude=[]
    same as --include but ignores the casing of filenames

-i, --include=[]
    include a pattern, exclude everything else (can be specified multiple times)

--path=[]
    only consider snapshots which include this (absolute) path for snapshot ID "latest"

--tag=[]
    only consider snapshots which include this taglist for snapshot ID "latest"

-t, --target=""
    directory to extract data to

--verify[=false]
    verify restored files content

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)